- Home
- Download
- Contribute
- Support
- Cyrus SASL

# ctl_zoneinfo

perform operations on the zoneinfo database

## Synopsis

    ctl_zoneinfo [ -C config-file ] [ -v ] -r version-string

## Description

ctl_zoneinfo is used to perform various administrative operations on the zoneinfo database.

ctl_zoneinfo reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## Options

`-C` `config-file`

  Use the specified configuration file config-file rather than the default imapd.conf(5).

`-v```

  Enable verbose output.

`-r` `version-string`

  Rebuild the zoneinfo database based on the directory structure of configdirectory/zoneinfo. The database to be rebuilt will be in the default location of configdirectory/zoneinfo.db unless otherwise specified by the zoneinfo_db_path option in imapd.conf(5). The version-string should describe the source of the timezone data (e.g. “Olson 2013h”) and will be used by the timezone module of httpd(8).

## Examples

[NB: Examples needed]

## History

This command was introduced in version 2.5

## Files

/etc/imapd.conf, <configdirectory>/zoneinfo.db

## See Also

imapd.conf(5), httpd(8), cyrusmaster(8)